#
# MPlayer configuration file
#
# Configuration files are read system-wide from /etc/mplayer.conf
# and per user from ~/.mplayer/config, where per-user settings override
# system-wide settings, all of which are overrriden by the command line.
#
# The configuration file settings are the same as the command line
# options without the preceding '-'.
#
# See the CONFIGURATION FILES section in the man page
# for a detailed description of the syntax.


##################
# video settings #
##################

# Specify default video driver (see -vo help for a list).
#vo=xv
vo=xv,x11

# Init once for multiple inputs, has many advantages
fixed-vo=1

# Specify vdpau codecs when using -vo vdpau.
# [vo.vdpau]
# vc=ffmpeg12vdpau,ffwmv3vdpau,ffvc1vdpau,ffh264vdpau,ffodivxvdpau,

# Use SDL video with the aalib subdriver by default.
#vo = sdl:aalib

# FBdev driver:
#
# mode to use (read from fb.modes)
#fbmode = 640x480-120
#
# location of the fb.modes file
#fbmodeconfig = /etc/fb.modes

# Specify your monitor timings for the vesa and fbdev video output drivers.
# See /etc/X11/XF86Config for timings. Be careful; if you specify settings
# that exceed the capabilities of your monitor, you may damage it.
#
# horizontal frequency range (k stands for 1000)
#monitor-hfreq = 31.5k-50k,70k
#
# vertical frequency range
#monitor-vfreq = 50-90
#
# dotclock (or pixelclock) range (m stands for 1000000)
#monitor-dotclock = 30M-300M

# Start in fullscreen mode by default.
#fs=yes
fs=no

# Choose where the video will start, default is to let WM handle it
geometry=50%:50%

# Change to a different videomode when going fullscreen.
#vm=yes

# Override the autodetected color depth, may need 'vm=yes' as well.
#bpp=0

# Enable software scaling (powerful CPU needed) for video output
# drivers that do not support hardware scaling.
zoom=yes

# standard monitor size, with square pixels
#monitoraspect=4:3

# Use this for a widescreen monitor, non-square pixels.
#monitoraspect=16:9

# Keep the player window on top of all other windows.
#ontop=yes

# Some example postprocessing filters, from less quality to more complex pp
# vf=pp=ac/l5
# vf=pp=lb,denoise3d,decimate
# vf=pp=hb:a/vb:a/dr:a/al:a


##################
# audio settings #
##################

# Specify default audio driver (see -ao help for a list).
#ao=oss

# Use SDL audio driver with the esd subdriver by default.
#ao = sdl:esd
# ao = alsa:noblock,oss
ao=pulse,alsa:noblock,oss

# Specify the mixer device.
#mixer = /dev/mixer

# Output audio to S/PDIF
# #ao=alsa:device=spdif
# #ac=hwac3,hwdts,hwmpa,

# Resample the sound to 44100Hz with the lavcresample audio filter.
#af=lavcresample=44100

# Use this if your soundcard produces too low volume
# warning, may cause distortion depending on input and speaker
# af=volume=10.1:0,volnorm=1

# Add advanced audio filters
# 0 is full automatic, 5 is automatic and use float where possible
# af-adv=force=0
# af-adv=force=5


##################
# input settings #
##################

# Let MPlayer grab mouse movements
# Useful if you want to use OSD menu with mouse or dvdnav
# mouse-movements = 1

# Ignore keyboard events, useful if you don't want anything pressed
# on your keyboard affect what you are watching (babies, cats etc.)
# noconsolecontrols = 1

# Ignore mouse events
# nomouseinput = 1

nojoystick = 1

##################
# other settings #
##################

# Drop frames to preserve audio/video sync.
#framedrop = yes
framedrop = yes

# Doublebuffering can help remove flicker from subtitles/OSD.
# double=yes
double = yes

# Specify your preferred skin here (skins are searched for in
# /usr/local/share/mplayer/skins/<name> and ~/.mplayer/skins/<name>).
#skin = Abyss

# Resample the font alphamap.
# 0     plain white fonts
# 0.75  very narrow black outline (default)
# 1     narrow black outline
# 10    bold black outline
#ffactor = 0.75

# Some font enhancements
fontconfig = 1
embeddedfonts = 1
subfont-autoscale = 3
subfont-osd-scale = 3
subcp = cp1254
spuaa = 4
font = "Dejavu Sans Condensed"

# enable ass for flexibility and better rendering
ass = 1
ass-color = FFFFFF00
ass-use-margins = 1
# use this to make empty space below video for subtitles
# ass-bottom-margin = 64

# cache settings
#
# Use 8MB input cache by default.
cache = 8192

# Prefill 20% of the cache before starting playback.
cache-min = 20.0

# Prefill 50% of the cache before restarting playback after the cache emptied.
cache-seek-min = 50

# DVD: Display English subtitles if available.
#slang = en

# DVD: Play English audio tracks if available.
#alang = en

# Default to Turkish for subtitles
slang = tr,en
alang = tr,en

# Enable menu
menu = 1

# Enable screenshot grabbing
# vf = screenshot

# Stop Xscreensaver by default
stop-xscreensaver = 1

# enable color output in console
msgcolor = 1

# enable module info color
msgmodule = 1

# Pretend to be Window Media Player.
# Fixes playback when playlist and media file use the same URL.
#user-agent=NSPlayer/4.1.0.3856

# Pretend to be Quicktime
# Fixes playback for apple.com/trailers redirects
#user-agent="QuickTime"


############################
# extension based settings #
############################

# You can define options for case insensitive file extensions
# [extension.flv]
# correct-pts = 1

#[extension.mkv]
#nocorrect-pts = 1

###########################
# protocol based settings #
###########################

[protocol.http]
cache = 256

[protocol.http_proxy]
cache = 256

[protocol.mmst]
cache = 256

[protocol.mms]
cache = 256

[protocol.rtp]
cache = 256

[protocol.rtsp]
cache = 256

[protocol.icyx]
cache = 256

[protocol.dvdnav]
vc=ffmpeg12,
mouse-movements=yes
nocache=yes


# enable rar subs (both normal and vobsub) in runtime
unrarexec = /usr/bin/unrar

# Print input name (without path) and duration in terminal window caption
# playing-msg = "\e]0;MPlayer - ${filename}?(length: - ${length})\x07"

# You can also include other configuration files.
#include = /path/to/the/file/you/want/to/include

###########################
# Generic profiles        #
###########################

[2chto6ch]
af=pan=6:1:0:.4:0:.6:2:0:1:0:.4:.6:2
channels=6


